Subject: Re: bug#77841: Some svg image's black color is replaced by emacs's theme foreground color

From: Billy Lei <[email-masked]>
Date: Sat, 3 May 2025 18:25:03 +0800

在 2025/5/3 17:10, Ihor Radchenko 写道:
> Eli Zaretskii <[email-masked]> writes:
> 
>>>> I am not sure if Emacs should behave differently in this scenario or
>>>> not. It may be a judgment call and may also be non-trivial to implement.
>>>
>>> To be frank it probably should, but I don't know exactly *how* it
>>> should behave.
>>
>> Do we have anything else to do here, or should this bug be closed
>> now?
> 
> There is a clear bug - some svgs are displayed differently than
> intended. But it is not clear how to solve it best.
> Something to do: decide how to solve it. (but I have no good ideas)
> 

Perhaps we can let users decide it. We can introuduce a variable to 
customize how the svg images are displayed in Emacs, whether to use the 
theme foreground color or black.